Skip to main content
GET
/
api
/
v0
/
repositories
/
{repo_id}
/
me
Get the self information in the context of a repository.
curl --request GET \
  --url https://api.example.com/api/v0/repositories/{repo_id}/me
import requests

url = "https://api.example.com/api/v0/repositories/{repo_id}/me"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/api/v0/repositories/{repo_id}/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "username": "<string>",
  "earnedBadge": true,
  "pingsLeft": 123,
  "teamName": "<string>",
  "teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "reputation": 123
}
{
"msg": "<string>"
}
{
"msg": "<string>"
}
{
"msg": "<string>"
}
{
"msg": "<string>"
}
{
"msg": "<string>"
}

Path Parameters

repo_id
string<uuid>
required

Response

User info in the context of the repository

User information in the context of a repository.

id
string<uuid>
required

User id.

name
string
required

Name of the user.

username
string
required

Username of the user.

role
enum<string>
required

Role of the user in context of the repository.

Available options:
client,
reviewer,
judge,
triager,
admin
earnedBadge
boolean
required

Reviewer has earned a badge for this repository.

For admins, judges, triagers and company users this will always be false.

pingsLeft
integer<int32> | null

Number of times the reviewer can ping the client.

For non-reviewers this will be null.

teamName
string | null

Name of the team the reviewer is in.

This will have a value if the user is a reviewer and in a team. This will be null if the user is not a reviewer, i.e. a client, judge, triager or admin, or the reviewer is not participating with a team.

teamId
string<uuid> | null

TeamId of the team the reviewer is in.

Important:

  1. teamId is only set for reviewers.
  2. teamId is never null for reviewers.
  3. Even if teamId is set, teamName can be null.
  • this is the case for solo teams
reputation
integer<int32> | null

Reputation of a reviewer, always in the range of 0..=100.

For admins, judges, triagers and company users this will always be null.